package com.jasamedika.medifirst2000.vo;

import javax.persistence.FetchType;
import javax.persistence.ManyToOne;

import com.jasamedika.medifirst2000.base.vo.BaseMasterVO;
import com.jasamedika.medifirst2000.helper.Caption;


public class PegawaiJadwalKerjaVO extends BaseMasterVO {

	@ManyToOne(fetch=FetchType.LAZY)
//	@NotNull(message="Kd Pegawai tidak boleh kosong")
	@Caption(value="Object Pegawai")
	private PegawaiVO pegawai;

	@ManyToOne(fetch=FetchType.LAZY)
	@Caption(value="Object Pegawai Ganti")
	private PegawaiVO pegawaiGanti;

	@ManyToOne(fetch=FetchType.LAZY)
//	@NotNull(message="Kd Ruangan tidak boleh kosong")
	@Caption(value="Object Ruangan")
	private RuanganVO ruangan;

	@ManyToOne(fetch=FetchType.LAZY)
//	@NotNull(message="Kd Shift tidak boleh kosong")
	@Caption(value="Object Shift")
	private ShiftKerjaVO shift;

	@ManyToOne(fetch=FetchType.LAZY)
//	@NotNull(message="Kd Tanggal tidak boleh kosong")
	@Caption(value="Object Tanggal")
	private KalenderVO tanggal;

	@Caption(value="Keterangan Alasan")
	private String keteranganAlasan;

	public PegawaiVO getPegawai() {
		return pegawai;
	}

	public void setPegawai(PegawaiVO pegawai) {
		this.pegawai = pegawai;
	}

	public PegawaiVO getPegawaiGanti() {
		return pegawaiGanti;
	}

	public void setPegawaiGanti(PegawaiVO pegawaiGanti) {
		this.pegawaiGanti = pegawaiGanti;
	}

	public RuanganVO getRuangan() {
		return ruangan;
	}

	public void setRuangan(RuanganVO ruangan) {
		this.ruangan = ruangan;
	}

	public ShiftKerjaVO getShift() {
		return shift;
	}

	public void setShift(ShiftKerjaVO shift) {
		this.shift = shift;
	}

	public KalenderVO getTanggal() {
		return tanggal;
	}

	public void setTanggal(KalenderVO tanggal) {
		this.tanggal = tanggal;
	}

	public String getKeteranganAlasan() {
		return keteranganAlasan;
	}

	public void setKeteranganAlasan(String keteranganAlasan) {
		this.keteranganAlasan = keteranganAlasan;
	}
}

